services:
  dns-ad-blocker:
    container_name: dns-ad-blocker
    environment:
      - AUTO_UPDATE=1
      - BRANCH=master
      - DNSCRYPT=1
      - DNSCRYPT_PROVIDER_NAME=2.dnscrypt-cert.ns0.dnscrypt.nl
      - DNSCRYPT_RESOLVER_ADDR=45.76.35.212
      - DNSCRYPT_PROVIDER_KEY=4C84:FB8C:0511:5DFA:5F97:C5ED:0329:1370:C78A:BCD6:4E15:DD53:AB08:DE72:FB84:4ACA
      - WHITELIST=api.segment.io,www.googleapis.com,analytics.google.com
    image: oznu/dns-ad-blocker:latest
    ports:
      - 192.168.2.201:53:53/udp
    restart: unless-stopped
    volumes:
      - /opt/dns-ad-blocker/config:/config
      - /opt/dns-ad-blocker/run:/etc/services.d/dnsmasq/run
      - /opt/dns-ad-blocker/var/log:/var/log
      - /opt/dns-ad-blocker/dnsmasq.hosts:/etc/dnsmasq.hosts
